Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit / JGit » Activating modular target fails when installing with automated developer setup
Activating modular target fails when installing with automated developer setup [message #1750712] Tue, 27 December 2016 06:01
Yanis Batura is currently offline Yanis BaturaFriend
Messages: 1
Registered: December 2016
Junior Member
Trying to install the IDE as per instructions at http://wiki.eclipse.org/EGit/Contributor_Guide#Automated_Developer_Setup

The setup tasks fail because the org.eclipse.jgit.annotations package version seems not to comply with the requirement:

Executing manual tasks
Java(TM) SE Runtime Environment 1.8.0_73-b02
Product org.eclipse.products.epp.package.committers.latest.released
Project org.eclipse.egit.master
Bundle org.eclipse.oomph.setup 1.6.0.v20161125-0947, build=2774, branch=0f3cbae74af4fe94d13c32afb96e9cd4ad2194b7
Bundle org.eclipse.oomph.setup.core 1.6.0.v20161128-0928, build=2774, branch=0f3cbae74af4fe94d13c32afb96e9cd4ad2194b7
Bundle org.eclipse.oomph.setup.git 1.6.0.v20161019-0656, build=2774, branch=0f3cbae74af4fe94d13c32afb96e9cd4ad2194b7
Bundle org.eclipse.oomph.setup.p2 1.6.0.v20161019-0656, build=2774, branch=0f3cbae74af4fe94d13c32afb96e9cd4ad2194b7
Bundle org.eclipse.oomph.setup.pde 1.6.0.v20161019-0656, build=2774, branch=0f3cbae74af4fe94d13c32afb96e9cd4ad2194b7
Bundle org.eclipse.oomph.setup.targlets 1.6.0.v20161019-0656, build=2774, branch=0f3cbae74af4fe94d13c32afb96e9cd4ad2194b7
Bundle org.eclipse.oomph.setup.workingsets 1.6.0.v20161019-0656, build=2774, branch=0f3cbae74af4fe94d13c32afb96e9cd4ad2194b7
Performing P2 Director (Eclipse IDE for Eclipse Committers (Neon))
Offline = false
Mirrors = true
Resolving 51 requirements from 6 repositories to C:\eclipse\egit\eclipse
Requirement org.eclipse.pde.api.tools.ee.feature.feature.group
Requirement org.eclipse.swtbot.ide.feature.group
Requirement org.eclipse.swtbot.generator.feature.feature.group
Requirement epp.package.committers [4.6.0,4.7.0)
Requirement org.eclipse.platform.feature.group [4.6.0,4.7.0)
Requirement org.eclipse.rcp.feature.group [4.6.0,4.7.0)
Requirement org.eclipse.buildship.feature.group
Requirement org.eclipse.cvs.feature.group
Requirement org.eclipse.cvs.source.feature.group
Requirement org.eclipse.e4.core.tools.feature.feature.group
Requirement org.eclipse.egit.feature.group
Requirement org.eclipse.egit.mylyn.feature.group
Requirement org.eclipse.epp.package.common.feature.feature.group
Requirement org.eclipse.equinox.p2.user.ui.feature.group
Requirement org.eclipse.help.feature.group
Requirement org.eclipse.jdt.feature.group
Requirement org.eclipse.jdt.source.feature.group
Requirement org.eclipse.jgit.feature.group
Requirement org.eclipse.jgit.http.apache.feature.group
Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
Requirement org.eclipse.mylyn.builds.feature.group
Requirement org.eclipse.mylyn.commons.feature.group
Requirement org.eclipse.mylyn.commons.identity.feature.group
Requirement org.eclipse.mylyn.commons.notifications.feature.group
Requirement org.eclipse.mylyn.commons.repositories.feature.group
Requirement org.eclipse.mylyn.commons.repositories.http.feature.group
Requirement org.eclipse.mylyn.discovery.feature.group
Requirement org.eclipse.mylyn.gerrit.dashboard.feature.feature.group
Requirement org.eclipse.mylyn.gerrit.feature.feature.group
Requirement org.eclipse.mylyn.git.feature.group
Requirement org.eclipse.mylyn.hudson.feature.group
Requirement org.eclipse.mylyn.monitor.feature.group
Requirement org.eclipse.mylyn.reviews.feature.feature.group
Requirement org.eclipse.mylyn.team_feature.feature.group
Requirement org.eclipse.mylyn.versions.feature.group
Requirement org.eclipse.mylyn.wikitext_feature.feature.group
Requirement org.eclipse.mylyn_feature.feature.group
Requirement org.eclipse.pde.feature.group
Requirement org.eclipse.pde.source.feature.group
Requirement org.eclipse.platform.source.feature.group
Requirement org.eclipse.rcp.source.feature.group
Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
Requirement org.eclipse.recommenders.news.rcp.feature.feature.group
Requirement org.eclipse.recommenders.rcp.feature.feature.group
Requirement org.eclipse.recommenders.snipmatch.rcp.feature.feature.group
Requirement org.eclipse.oomph.setup.feature.group
Requirement org.eclipse.oomph.targlets.feature.group
Requirement org.eclipse.oomph.setup.targlets.feature.group
Requirement org.eclipse.oomph.setup.pde.feature.group
Requirement org.eclipse.oomph.setup.git.feature.group
Requirement org.eclipse.oomph.setup.workingsets.feature.group
Repository http://download.eclipse.org/egit/updates-nightly
Repository http://download.eclipse.org/technology/swtbot/releases/latest
Repository http://download.eclipse.org/technology/epp/packages/neon
Repository http://download.eclipse.org/releases/neon/201612211000
Repository http://download.eclipse.org/oomph/updates/milestone/latest
Repository http://download.eclipse.org/egit/updates
Adding repository http://download.eclipse.org/technology/swtbot/releases/latest
Adding repository http://download.eclipse.org/releases/neon/201612211000
Adding repository http://download.eclipse.org/oomph/updates/milestone/latest
Adding repository http://download.eclipse.org/egit/updates-nightly
Adding repository http://download.eclipse.org/egit/updates
Adding repository http://download.eclipse.org/technology/epp/packages/neon
Calculating requirements and dependencies.
Computing prerequisite plan
No software updates are available
Performing Preference /instance/org.eclipse.ui.workbench/ENABLED_DECORATORS = de.tobject.findbugs.decorators.WorkingSetBugCountDecorator:true,de.tobject.findbugs.decorators.ProjectBugCountDecorator:true,de.tobject.findbugs.decorators.FolderBugCountDecorator:true,de.tobject.findbugs.decorators.FileBugCountDecorator:true,org.eclipse.ajdt.ui.decorator:true,org.eclipse.emf.ecp.emfstore.ui.decorators.EMFStoreBranchDecorator:true,org.eclipse.m2e.core.mavenVersionDecorator:false,org.eclipse.ajdt.ui.advicedecorator:true,org.eclipse.egit.ui.internal.decorators.GitLightweightDecorator:false,org.eclipse.emf.ecp.emfstore.ui.decorators.EMFStoreUnsharedDecorator:true,org.eclipse.emf.ecp.emfstore.ui.decorators.EMFStoreDirtyDecorator:true,org.eclipse.emf.ecp.emfstore.ui.decorators.LoginDecorator:true,org.eclipse.emf.ecp.validation.InvalidDecorator:true,org.eclipse.jdt.ui.override.decorator:true,org.eclipse.jdt.ui.interface.decorator:true,org.eclipse.jdt.ui.buildpath.decorator:true,org.eclipse.m2e.core.maven2decorator:true,org.eclipse.pde.ui.binaryProjectDecorator:false,org.eclipse.ui.LinkedResourceDecorator:true,org.eclipse.ui.SymlinkDecorator:true,org.eclipse.ui.VirtualResourceDecorator:true,org.eclipse.ui.ContentTypeDecorator:true,org.eclipse.ui.ResourceFilterDecorator:false,org.eclipse.xtend.shared.ui.decorator:true,org.eclipse.xtext.builder.nature.overlay:true,
Performing Targlets Modular Target (EGit + Eclipse Platform), activate
Repository http://download.eclipse.org/modeling/emf/cdo/orbit/latest-R
Repository http://download.eclipse.org/jetty/updates/jetty-bundles-9.x/9.2.13.v20150730
Repository http://download.eclipse.org/technology/swtbot/snapshots
Repository http://download.eclipse.org/mylyn/releases/latest
Repository http://download.eclipse.org/eclipse/updates/4.6
Offline = false
Mirrors = true
Adding repository http://download.eclipse.org/modeling/emf/cdo/orbit/latest-R
Adding repository http://download.eclipse.org/jetty/updates/jetty-bundles-9.x/9.2.13.v20150730
Adding repository http://download.eclipse.org/mylyn/releases/latest
Adding repository http://download.eclipse.org/technology/swtbot/snapshots
Adding repository http://download.eclipse.org/eclipse/updates/4.6
Fetching content.jar from http://download.eclipse.org/jetty/updates/jetty-bundles-9.x/9.2.13.v20150730/ (27,87kB)
Fetching compositeContent.xml from http://download.eclipse.org/modeling/emf/cdo/orbit/latest-R/
Calculating requirements and dependencies.
Cannot complete the request.  Generating details.
ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the install because one or more required items could not be found.
  at org.eclipse.oomph.targlets.internal.core.TargletContainer.forceUpdate(TargletContainer.java:778)
  at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl$4.run(TargletTaskImpl.java:1128)
  at org.eclipse.oomph.util.pde.TargetPlatformUtil.runWithTargetPlatformService(TargetPlatformUtil.java:120)
  at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl.perform(TargletTaskImpl.java:1036)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3305)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:3248)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:4469)
  at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2240)
  at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2267)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:4463)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:4461)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3239)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3214)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3114)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:556)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:682)
  at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
  ERROR: org.eclipse.equinox.p2.director code=0 Software being installed: artificial_root 1.0.0.v1482817081599
  ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: Git integration for Eclipse - Core 4.6.1.v20161227-123758 (org.eclipse.egit.core 4.6.1.v20161227-123758) requires 'package org.eclipse.jgit.annotations [4.6.1,4.7.0)' but it could not be found
  ERROR: org.eclipse.equinox.p2.director code=1 Cannot satisfy dependency:
    ERROR: org.eclipse.equinox.p2.director code=0 From: artificial_root 1.0.0.v1482817081599
    ERROR: org.eclipse.equinox.p2.director code=0 To: org.eclipse.egit.core 0.0.0

Took 6 seconds.
There are failed tasks.
Press Back to choose different settings or Cancel to abort.
Previous Topic:Label decorations
Next Topic:Latest egit update zapped the perspective
Goto Forum:
  


Current Time: Mon Sep 25 16:57:24 GMT 2017

Powered by FUDForum. Page generated in 0.02372 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software